#include <iostream>
/*
  Implementarea optima a permutarilor recursive:
   - la fel la implementarea optima iterativa (nerecursiv, adik bazata
     pe repetitive), luam un vector in care marcam cu 1 valorile folosite,
     cu 0 cele nefolosite.

    "A itera" - a aplica un procedeu de calcul in mod repetat
    Instr. iterativa = Instr. repetitiva (bucla)
*/
using namespace std;

int used[30],x[30],n;

void afish()
{
    int i;
    for(i=1;i<=n;i++) cout<<x[i]<<" ";
    cout<<"\n";
}

void perm(int k)
{
    for(x[k]=1;x[k]<=n;x[k]++)
        if(used[x[k]]==0)
           {//remarcati ca, imediat ce vedem ca e valid, il marcam
               //prin instructiunea de mai jos
               used[x[k]]=1;
               if(k==n)
                   afish();
               else
                   perm(k+1);
                //remarcati ca, imediat ce ne intoarcem din apel recursiv
                //sau din afisare, eliberam valoarea pe care-a avut-o
                //x[k], marcind-o la loc cu 0
               used[x[k]]=0;
           }
}

int main()
{
    cin>>n;
    perm(1);
    return 0;
}
