class tmouse
	{public:
	int present;
	 tmouse();
	 ~tmouse();
	 void init();
	 void done();
	 void show();
	 void clear();
	 int leftbutton();
	 int rightbutton();
	 int getx();
	 int gety();
	 void setxy(int x,int y);
	 void window(int x1,int y1,int x2,int y2);
	 };

tmouse::tmouse()
{tmouse::present=0;}

tmouse::~tmouse()
{}

void tmouse::init()
{int aux;
asm{
     mov ax,0
     int 33h
     mov aux,ax
     }
tmouse::present=(aux==-1)?1:0;
}

void tmouse::done()
{tmouse::present=0;}

void tmouse::show()
{if(tmouse::present==1)
 asm{
	mov ax,1
	int 33h
	}
 }

void tmouse::clear()
{if(tmouse::present==1)
 asm{
	mov ax,2
	int 33h
	}
 }

int tmouse::leftbutton()
{int aux;
if(tmouse::present==1){
asm{
     mov ax,3
     int 33h
     mov aux,bx
     }
return(((aux & 1) ==1)?1:0);
};return(0);}

int tmouse::rightbutton()
{int aux;
if(tmouse::present==1){
asm{
     mov ax,3
     int 33h
     mov aux,bx
     }
return(((aux & 2) ==2)?1:0);
};return(0);}

int tmouse::getx()
{int aux;
if(tmouse::present==1){
asm{
	mov ax,3
	int 33h
	mov aux,cx
	}
return(aux);
};return(0);}

int tmouse::gety()
{int aux;
if(tmouse::present==1){
asm{
	mov ax,3
	int 33h
	mov aux,dx
	}
return(aux);
};return(0);}

void tmouse::setxy(int x,int y)
{if(tmouse::present==1)
asm{
	mov ax,4
	mov cx,x
	mov dx,y
	int 33h
	}
}

void tmouse::window(int x1,int y1,int x2,int y2)
{if(tmouse::present==1)
asm{
	mov cx,x1
	mov dx,x2
	mov ax,7
	int 33h
	mov cx,y1
	mov dx,y2
	mov ax,8
	int 33h
	}
}
