/*
  1. d

  2. 18 echipe
    (pe linga Alin & Bogdan mai bagam o fata
      shi apoi permutam
	=> 3 * 6 = 18)

    Un exemplu de echipa din care sa NU afa parte nici Alin shi nici Bogdan
  ar fi (Ciprian,Elena,Felicia)

 3.
   Rezolvarea se bazeaza pe calcul matematic:
     - daca am avea k grupe complete, nr. de termeni ar fi n=k(k+1)/2

Noua ni se da nr. de termeni n.
  Pe baza lui rezolvam ecuatzia in k. Solutzia valabila este

    k=(sqrt(1+8*n)-1)/2

A) daca ne da exact, inseamna ca suntem pe ultimul termen al unei grupe,
deci termenul cu pricina este 1

B) daca nu, inseamna ca avem k1 = (int)k grupe complete
    in acestea avem n1=k1(k1+1)/2 termeni
=> au ramas pe dinafara n-n1 termeni ai grupei care incepe cu nr. k1+1.
=> valoarea termenului cerut este (k1+1)-(n-n1)+1

 Eficientza vine din calcul matematic direct=> se fac 2-3 pashi.
*/
#include<math.h>
#include<iostream.h>
#include<conio.h>

//am bagat totul intr-o functzie
long f(long n)
{
 double k;
 long k1,n1;
 k=(sqrt(1+8*n)-1)/2;
 k1=(int)k;
 if(k==k1) return 1;

 n1=k1*(k1+1)/2;
 return k1+1-(n-n1)+1;
}

void main()
{
 clrscr();
  long n;
  cin>>n;
  cout<<f(n)<<" ";
 getch();
}