/*
   Metoda utilizata:
	Ne bazam pe faptul ca shirul este dat crescator. In acest fel,
   e suficient sa testam intervalele formate din numere vecine in shir.
   (orice alta combinatzie am lua, sigur iese mai mare, deci nu ne poate
    da un minim mai bun).

	In fiecare interval determinat de 2 numere vecine calculam
    cite numere naturale incap, shi din aceste valori determinam minimul.
	Pentru initzializarea lui min, puteme folosi numarul de valori din
    primul interval.

       Valorile le citim una cite una, folosind doua variabile (v anterior shi
    v curent) pe care le actualizam corespunzator.

       Algoritmul va fi eficient din punct de vedere al utilizarii
    memoriei, deoarece NU foloseshte shiruri, ci doar citeva variabile.

       Este eficient shi din punct de vedere al timpului de executzie
    (deshi nu se cere acest lucru) deoarece se face o singura parcurgere a
    datelor din fishierul de intrare, deci se fac n pashi.

       Pentru a determina cite numere sunt intr-un interval de-ala cu capete
    reale, este mai la indemina sa ne ajutam cu o functzie.
*/

#include<iostream.h>
#include<conio.h>

long nrv(double a, double b)
{
  long li,lf;
  if(b==(long)b) lf=(long)b-1;
	   else lf=(long)b;
  li=(long)a+1;
  return lf-li+1;
}

void main()
{
 clrscr();
   cout<<nrv(3.9,6.1);
 getch();
}