// <!-- ANDREI 'ABATOR' BARSAN 	-->
// <!-- randul 1		-->

#include<iostream.h>
#include<conio.h>
#include<graphics.h>
#include<math.h>

void koch(double x0, double y0, double l, double u, int n)
{
 double x1, y1;

 if(n==0)
 {
   x1 = x0 + l*cos(u);
   y1 = y0 - l*sin(u);
   line(x0, y0, x1, y1);

   return;
 }

 double x2, y2, x3, y3;
 double ug = (85*M_PI)/180;
 double x = l/(2+2 * sin(M_PI/36));

 x1 = x0 + x * cos(u);
 y1 = y0 - x * sin(u);

 x2 = x1 + x * cos(u+ug);
 y2 = y1 - x * sin(u+ug);

 x3 = x2 + x * cos(u-ug);
 y3 = y2 - x * sin(u-ug);

 koch(x0, y0, x, u, n-1);
 koch(x1, y1, x, u+ug, n-1);
 koch(x2, y2, x, u-ug, n-1);
 koch(x3, y3, x, u, n-1);
}

int main()
{
 int gd = DETECT, gm;
 int n;
 cout<<"Introduceti ordinul fractalului:"; cin>>n;
 initgraph(&gd, &gm, "C:\\bc\\bgi");

 koch(10,470,620,0,n);

 getch();
 closegraph();
 return 0;
}